Referenta
POST
/api/v1/assistant/scribe-transcription

Forwards a recorded audio clip to ElevenLabs batch speech-to-text and returns the transcribed text.

Authorization

dashboardSession
sb-access-token<token>

Authenticated dashboard session cookie. Some routes also rely on additional Supabase SSR cookies.

In: cookie

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/assistant/scribe-transcription" \  -F audio="string"
{
  "text": "string"
}
{
  "error": "string",
  "details": "string",
  "receivedKeys": [
    "string"
  ]
}
{
  "error": "string",
  "details": "string",
  "receivedKeys": [
    "string"
  ]
}
{
  "error": "string",
  "details": "string",
  "receivedKeys": [
    "string"
  ]
}
{
  "error": "string",
  "details": "string",
  "receivedKeys": [
    "string"
  ]
}